-- не позволяем выставлять дублирующиеся адреса
CREATE TRIGGER OnIndividualsUpdate ON [dbo].[Individuals] 
FOR INSERT, UPDATE
AS
  if exists(
    select 1 
    from inserted
    inner join Individuals on Individuals.RegistrationAddressID = inserted.RegistrationAddressID 
    where inserted.RegistrationAddressID IS NOT NULL AND inserted.IndividualID <> Individuals.IndividualID)
  begin
    RAISERROR ('Значение поля RegistrationAddressID в таблице Individuals должно быть уникальным',16,1)
    ROLLBACK TRANSACTION
  end
